{% if question.hidden != true %}
<li data-questionli="{{ question.id }}" class="form-line missing {{class}}" data-type="control_textbox" id="question_{{ question.id }}">
    <label class="form-label form-label-left" for="input_{{ question.answer.id }}">{{ question.text
        }}</label>
    <div id="input_{{ question.answer.id }}" class="form-input" data-layout="half">
        {% if question.answer.data.type == "multiinput" or question.answer.data.type == "input" %}
        <ul class="questionaire_answer_list">
            {% for answer_input in question.answer.data.inputs %}
            <li data-answercontainerforid="{{ answer_input.id }}">
                <input data-question_id="{{ question.id }}" type="text"
                       data-answer-value-element="{{ answer_input.id }}" id="answer_value_{{ answer_input.id }}"
                       placeholder="{{ answer_input.placeholder }}"
                       name=""
                       class="form-textbox {% if question.answer.data.options.inputDisplayType == 'long' %} w-100 {% endif %}"
                       value=""><br/>
            </li>
            {% endfor %}
        </ul>
        {% endif %}

        {% if question.answer.data.type == "number" %}
        <ul class="questionaire_answer_list">
            {% for answer_input in question.answer.data.inputs %}
            <li data-answercontainerforid="{{ answer_input.id }}">
                <input data-question_id="{{ question.id }}" type="number"
                       data-answer-value-element="{{ answer_input.id }}" id="answer_value_{{ answer_input.id }}"
                       placeholder="{{ answer_input.placeholder }}"
                       name=""
                       class="form-textbox {% if question.answer.data.options.inputDisplayType == 'long' %} w-100 {% endif %}"
                       value=""><br/>
            </li>
            {% endfor %}
        </ul>
        {% endif %}

        {% if question.answer.data.type == "textarea" %}
        <ul class="questionaire_answer_list">
            {% for answer_input in question.answer.data.inputs %}
            <li data-answercontainerforid="{{ answer_input.id }}">
                                                <textarea data-question_id="{{ question.id }}" type="text"
                                                          data-answer-value-element="{{ answer_input.id }}"
                                                          id="answer_value_{{ answer_input.id }}" name=""
                                                          class="form-textbox {% if question.answer.data.options.inputDisplayType == 'long' %} w-100 {% endif %}"
                                                          {% if question.answer.data.options.inputDisplayType== 'long' %} rows="3" {% endif %}
                value="">
                </textarea><br/>
            </li>
            {% endfor %}
        </ul>
        {% endif %}

        {% if question.answer.data.type == "select" %}
        <ul class="questionaire_answer_list {% if question.answer.data.options.display == 'scala' %} questionaire_answer_list_scala {% endif %}">
            {% for answer_select_data in question.answer.data.select_options %}
            <li data-answercontainerforid="{{ answer_select_data.id }}">
                <input data-question_id="{{ question.id }}"
                       data-answer-value-element="{{ answer_input.id }}" type="radio" class="form-radio"
                       id="answer_value_{{ answer_select_data.id }}"
                       name="answer_radiobutton_{{ question.id }}"
                       value="{{ answer_select_data.value }}"/>
                <label id="label_{{ answer_select_data.id }}" for="answer_id_{{ answer_select_data.id }}">{{ answer_select_data.label }}</label>
            </li>
            {% endfor %}
        </ul>
        {% endif %}

        {% if question.answer.data.type == "multiselect" %}
        <ul class="questionaire_answer_list">
            {% for answer_select_data in question.answer.data.select_options %}
            <li data-answercontainerforid="{{ answer_select_data.id }}">
                <input data-question_id="{{ question.id }}"
                       data-answer-value-element="{{ answer_input.id }}" type="checkbox"
                       aria-describedby="label_13" class="form-radio"
                       id="answer_value_{{ answer_select_data.id }}"
                       name="question_answer_multi_{{ question.group }}"
                       value="{{ answer_select_data.value }}"/>
                <label id="label_{{ answer_select_data.id }}" for="answer_id_{{ answer_select_data.id }}">{{ answer_select_data.label }}</label>
            </li>
            {% endfor %}
        </ul>
        {% endif %}

        {% if question.answer.data.type == "range" %}
        <ul class="questionaire_answer_list">
            <li data-answercontainerforid="{{ question.answer.data.options.id }}">
                <div class="slider-wrapper">
                    <div class="slider-container">

                        {% if question.answer.data.options.minLabel %}
                        <span class="slider-label slider-label-left" data-i18n="{{ question.answer.data.options.min_label |default(question.answer.data.options.minLabel) }}"></span>
                        {% else %}
                        <span class="slider-label slider-label-left" data-i18n="{{ question.answer.data.options.min_label |default(question.answer.data.options.min) }}"></span>
                        {% endif %}

                        <div class="range-wrap">
                            <output class="bubble" data-answer-display="answer_value_{{ question.answer.data.options.id }}" data-range-display-question-id="{{ question.id }}" id="slider-value-{{ question.id }}">
                                {{ question.answer.data.options.default }}
                            </output>
                            <input type="range" class="range" data-question_id="{{ question.id }}"
                                   data-answer-value-element="{{ answer_input.id }}"
                                   name="answer_range_{{ question.id }}"
                                   id="answer_value_{{ question.answer.data.options.id }}"
                                   min="{{ question.answer.data.options.min }}"
                                   max="{{ question.answer.data.options.max }}"
                                   value="{{ question.answer.data.options.default }}">
                        </div>

                        {% if question.answer.data.options.maxLabel %}
                        <span class="slider-label slider-label-right" data-i18n="{{ question.answer.data.options.max_label |default(question.answer.data.options.maxLabel) }}"></span>
                        {% else %}
                        <span class="slider-label slider-label-right" data-i18n="{{ question.answer.data.options.max_label |default(question.answer.data.options.max) }}"></span>
                        {% endif %}
                    </div>
                </div>
            </li>
        </ul>
        {% endif %}

        {% if question.answer.data.type == "stars" %}
        <ul class="questionaire_answer_list">
            <li data-answercontainerforid="{{ question.answer.data.options.id }}">
                <div class="star-rating">
                    <input data-question_id="{{ question.id }}" data-answer-value-element="{{ question.answer.data.options.id }}" type="radio" id="star_{{ question.id }}_5" name="rating_{{ question.id }}" value="5">
                    <label for="star_{{ question.id }}_5" title="5 stars"></label>
                    <input data-question_id="{{ question.id }}" data-answer-value-element="{{ question.answer.data.options.id }}" type="radio" id="star_{{ question.id }}_4" name="rating_{{ question.id }}" value="4">
                    <label for="star_{{ question.id }}_4" title="4 stars"></label>
                    <input data-question_id="{{ question.id }}" data-answer-value-element="{{ question.answer.data.options.id }}" type="radio" id="star_{{ question.id }}_3" name="rating_{{ question.id }}" value="3">
                    <label for="star_{{ question.id }}_3" title="3 stars"></label>
                    <input data-question_id="{{ question.id }}" data-answer-value-element="{{ question.answer.data.options.id }}" type="radio" id="star_{{ question.id }}_2" name="rating_{{ question.id }}" value="2">
                    <label for="star_{{ question.id }}_2" title="2 stars"></label>
                    <input data-question_id="{{ question.id }}" data-answer-value-element="{{ question.answer.data.options.id }}" type="radio" id="star_{{ question.id }}_1" name="rating_{{ question.id }}" value="1">
                    <label for="star_{{ question.id }}_1" title="1 star"></label>
                </div>
            </li>
        </ul>
        {% endif %}
    </div>
</li>
{% endif %}


